이 예는 또한 한 셀이 여러 셀 범위에 걸치게 하는 셀 범위(addSpan)의 사용뿐 아니라 셀 내 배경 이미지(background)의 사용을 강조합니다.
var spreadNS = GC.Spread.Sheets;
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 1 });
initSpread(spread);
};
function initSpread(spread) {
var sheet = spread.getSheet(0);
// downloaded image files with different name and location from server
var imagePath = ((window.location.hash || "").indexOf("#") === -1) ? "$DEMOROOT$/spread/source/css/images/" : "css-images-";
sheet.suspendPaint();
spread.options.tabStripVisible = false;
sheet.options.rowHeaderVisible = false;
sheet.options.colHeaderVisible = false;
sheet.addSpan(0, 0, 1, 5);
sheet.addSpan(0, 5, 1, 4);
sheet.addSpan(1, 1, 7, 3);
sheet.addSpan(8, 1, 2, 3);
sheet.addSpan(10, 1, 5, 1);
sheet.addSpan(10, 2, 2, 1);
sheet.addSpan(10, 3, 2, 1);
sheet.addSpan(14, 2, 2, 1);
sheet.addSpan(14, 3, 2, 1);
sheet.addSpan(16, 1, 1, 3);
sheet.addSpan(17, 1, 1, 3);
sheet.addSpan(1, 4, 2, 3);
sheet.addSpan(3, 4, 1, 2);
sheet.addSpan(3, 6, 1, 2);
sheet.addSpan(4, 4, 12, 2);
sheet.addSpan(4, 6, 12, 2);
sheet.addSpan(7, 8, 2, 1);
sheet.addSpan(9, 8, 2, 1);
var colWidths = new Array(24, 218, 91, 73, 115, 187, 226, 120, 104);
for (var col = 0; col < colWidths.length; col++) {
sheet.setColumnWidth(col, colWidths[col]);
}
var rowHeights = new Array(108, 35, 31, 44, 35, 31, 44, 22, 13, 9, 25, 25, 50, 50, 30, 20, 22);
for (var row = 0; row < rowHeights.length; row++) {
sheet.setRowHeight(row, rowHeights[row]);
}
sheet.getCell(0, 0).backgroundImage(imagePath + "Titile_TL.png");
sheet.getCell(0, 5).backgroundImage(imagePath + "Titile_TR.png");
sheet.getCell(1, 1).backgroundImage(imagePath + "Food.png");
sheet.getCell(10, 1).backgroundImage(imagePath + "Calories.png").text("187").wordWrap(true).font("28pt Calibri").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(1, 8).backgroundImage(imagePath + "Minutes_top.png").text("45").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(2, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(4, 8).backgroundImage(imagePath + "Minutes_top.png").text("15").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(5, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(7, 8).backgroundImage(imagePath + "Servings_top.png").text("3").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(9, 8).backgroundImage(imagePath + "Servings_bottom.png").text("servings").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.gridline = new spreadNS.LineBorder("Black", spreadNS.LineStyle.empty);
sheet.getRange(0, 0, 17, 9).backColor("rgb(189,194,178)");
sheet.getDefaultStyle().vAlign = spreadNS.VerticalAlign.center;
sheet.getDefaultStyle().foreColor = "rgb(68, 84, 106)";
sheet.getCell(8, 1).text("NUTRITION REPORT CARD (amount per serving)")
.backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center)
.font("9pt Calibri");
sheet.getCell(15, 1).backColor("rgb(247,167,17)");
sheet.getCell(10, 2).text("10").backColor("white");
sheet.getCell(12, 2).text("16").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 2).text("201").backColor("white");
sheet.getCell(14, 2).text("37").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 2, 6, 1).hAlign(spreadNS.HorizontalAlign.center).font("lighter 18pt Calibri");
sheet.getCell(10, 3).text("grams\r\ntotal fat").backColor("white");
sheet.getCell(12, 3).text("milligrams\r\ncholesterol").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 3).text("milligrams\r\nsodium").backColor("white");
sheet.getCell(14, 3).text("grams\r\ncarbs").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 3, 5, 1).font("10pt Calibri").wordWrap(true);
sheet.getCell(1, 4).backColor("white").text("Black Beans and Rice")
.font("bold italic 24pt Calibri")
.vAlign(spreadNS.VerticalAlign.center)
.textIndent(2);
sheet.getCell(1, 7).text("Main Course").backColor("white").foreColor("rgb(33, 115, 70)").font("bold 14pt Calibri");
sheet.getCell(2, 7).backColor("white");
sheet.getCell(3, 4).text("INGREDIENTS");
sheet.getCell(3, 6).text("DIRECTIONS");
sheet.getRange(3, 4, 1, 3).backColor("rgb(247,167,17)").foreColor("white").textIndent(2).font("bold 9pt Calibri");
sheet.getCell(4, 4).backColor("white").textIndent(2).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\n14 oz bag dry black beans, rinsed and picked \r\n2 Bay Leaves\r\n½ cup vino seco (Spanish "
+ "cooking wine) \r\n½ cup olive oil \r\n1 tsp dried oregano \r\n1 tsp cumin \r\n1½ Tbsp \r\narlic powder \r\n1 ½ "
+ "Tbsp onion powder \r\n1 green pepper \r\n2 Tbsp sugar \r\n1 Tbsp salt \r\nRice: \r\n2 cups dry rice, rinsed \r\n"
+ "3 cups water \r\n1 tsp salt \r\n1 Tbsp vegetable oil");
sheet.getCell(4, 6).backColor("white").textIndent(1).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\nPlace black beans in a large pot of water and soak overnight. Drain \r\the nwater and place"
+ " beans in a pressure cooker. Fill the pressure \r\cooker with water an inch above the beans and add 2 bay leaves."
+ " (If \r\you desire beans with thicker consis- tency use less water.) Cover \r\with lid and place on high heat. "
+ "Once it starts boiling, lower heat and \r\simmer for 30 minutes or until beans are soft. Before removing lid, \r\n"
+ "make sure that pressure cooker is depressurized; place in sink under \r\cold water if necessary. Remove bay leaves."
+ " \r\nCut the top and bottoms off of the green peppers and remove the \r\nseeds. Cut peppers into 4 pieces. Stir in "
+ "peppers, oregano, cumin, \r\ngarlic, onion, salt, and slowly bring to a boil uncovered. Once it starts \r\nto boil,"
+ " reduce to a simmer. Add sugar, olive oil, vino seco and let \r\nsimmer for at least 30 minutes. Serve over rice."
+ " \r\n\r\nRice: \r\nPlace rice, salt and water in a saucepan and bring to a boil. (Add one \r\ncup of water to the amount"
+ " of rice you are cooking. i.e. 3 cups of \r\nrice/4 cups of water.) Cover and reduce to a simmer for 20 minutes. "
+ "\r\nAdd vegetable oil and mix with spoon.");
sheet.getCell(3, 8).text("COOK TIME").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(6, 8).text("YIELD").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.resumePaint();
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="ko-kr" />
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-resources-ko/dist/gc.spread.sheets.resources.ko.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" style="width:100%;height:100%"></div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

이 예는 또한 한 셀이 여러 셀 범위에 걸치게 하는 셀 범위(addSpan)의 사용뿐 아니라 셀 내 배경 이미지(background)의 사용을 강조합니다.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script>
import Vue from 'vue';
import '@mescius/spread-sheets-vue'
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
let App = Vue.extend({
name: "app",
methods: {
initSpread: function (spread) {
let spreadNS = GC.Spread.Sheets;
let sheet = spread.getSheet(0);
// downloaded image files with different name and location from server
let imagePath = ((window.location.hash || "").indexOf("#") === -1) ? "$DEMOROOT$/spread/source/css/images/" : "css-images-";
sheet.suspendPaint();
spread.options.tabStripVisible = false;
sheet.options.rowHeaderVisible = false;
sheet.options.colHeaderVisible = false;
sheet.addSpan(0, 0, 1, 5);
sheet.addSpan(0, 5, 1, 4);
sheet.addSpan(1, 1, 7, 3);
sheet.addSpan(8, 1, 2, 3);
sheet.addSpan(10, 1, 5, 1);
sheet.addSpan(10, 2, 2, 1);
sheet.addSpan(10, 3, 2, 1);
sheet.addSpan(14, 2, 2, 1);
sheet.addSpan(14, 3, 2, 1);
sheet.addSpan(16, 1, 1, 3);
sheet.addSpan(17, 1, 1, 3);
sheet.addSpan(1, 4, 2, 3);
sheet.addSpan(3, 4, 1, 2);
sheet.addSpan(3, 6, 1, 2);
sheet.addSpan(4, 4, 12, 2);
sheet.addSpan(4, 6, 12, 2);
sheet.addSpan(7, 8, 2, 1);
sheet.addSpan(9, 8, 2, 1);
var colWidths = new Array(24, 218, 91, 73, 115, 187, 226, 120, 104);
for (var col = 0; col < colWidths.length; col++) {
sheet.setColumnWidth(col, colWidths[col]);
}
var rowHeights = new Array(108, 35, 31, 44, 35, 31, 44, 22, 13, 9, 25, 25, 50, 50, 30, 20, 22);
for (var row = 0; row < rowHeights.length; row++) {
sheet.setRowHeight(row, rowHeights[row]);
}
sheet.getCell(0, 0).backgroundImage(imagePath + "Titile_TL.png");
sheet.getCell(0, 5).backgroundImage(imagePath + "Titile_TR.png");
sheet.getCell(1, 1).backgroundImage(imagePath + "Food.png");
sheet.getCell(10, 1).backgroundImage(imagePath + "Calories.png").text("187").wordWrap(true).font("28pt Calibri").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(1, 8).backgroundImage(imagePath + "Minutes_top.png").text("45").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(2, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(4, 8).backgroundImage(imagePath + "Minutes_top.png").text("15").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(5, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(7, 8).backgroundImage(imagePath + "Servings_top.png").text("3").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(9, 8).backgroundImage(imagePath + "Servings_bottom.png").text("servings").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.gridline = new spreadNS.LineBorder("Black", spreadNS.LineStyle.empty);
sheet.getRange(0, 0, 17, 9).backColor("rgb(189,194,178)");
sheet.getDefaultStyle().vAlign = spreadNS.VerticalAlign.center;
sheet.getDefaultStyle().foreColor = "rgb(68, 84, 106)";
sheet.getCell(8, 1).text("NUTRITION REPORT CARD (amount per serving)")
.backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center)
.font("9pt Calibri");
sheet.getCell(15, 1).backColor("rgb(247,167,17)");
sheet.getCell(10, 2).text("10").backColor("white");
sheet.getCell(12, 2).text("16").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 2).text("201").backColor("white");
sheet.getCell(14, 2).text("37").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 2, 6, 1).hAlign(spreadNS.HorizontalAlign.center).font("lighter 18pt Calibri");
sheet.getCell(10, 3).text("grams\r\ntotal fat").backColor("white");
sheet.getCell(12, 3).text("milligrams\r\ncholesterol").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 3).text("milligrams\r\nsodium").backColor("white");
sheet.getCell(14, 3).text("grams\r\ncarbs").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 3, 5, 1).font("10pt Calibri").wordWrap(true);
sheet.getCell(1, 4).backColor("white").text("Black Beans and Rice")
.font("bold italic 24pt Calibri")
.vAlign(spreadNS.VerticalAlign.center)
.textIndent(2);
sheet.getCell(1, 7).text("Main Course").backColor("white").foreColor("rgb(33, 115, 70)").font("bold 14pt Calibri");
sheet.getCell(2, 7).backColor("white");
sheet.getCell(3, 4).text("INGREDIENTS");
sheet.getCell(3, 6).text("DIRECTIONS");
sheet.getRange(3, 4, 1, 3).backColor("rgb(247,167,17)").foreColor("white").textIndent(2).font("bold 9pt Calibri");
sheet.getCell(4, 4).backColor("white").textIndent(2).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\n14 oz bag dry black beans, rinsed and picked \r\n2 Bay Leaves\r\n½ cup vino seco (Spanish "
+ "cooking wine) \r\n½ cup olive oil \r\n1 tsp dried oregano \r\n1 tsp cumin \r\n1½ Tbsp \r\narlic powder \r\n1 ½ "
+ "Tbsp onion powder \r\n1 green pepper \r\n2 Tbsp sugar \r\n1 Tbsp salt \r\nRice: \r\n2 cups dry rice, rinsed \r\n"
+ "3 cups water \r\n1 tsp salt \r\n1 Tbsp vegetable oil");
sheet.getCell(4, 6).backColor("white").textIndent(1).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\nPlace black beans in a large pot of water and soak overnight. Drain \r\the nwater and place"
+ " beans in a pressure cooker. Fill the pressure \r\cooker with water an inch above the beans and add 2 bay leaves."
+ " (If \r\you desire beans with thicker consis- tency use less water.) Cover \r\with lid and place on high heat. "
+ "Once it starts boiling, lower heat and \r\simmer for 30 minutes or until beans are soft. Before removing lid, \r\n"
+ "make sure that pressure cooker is depressurized; place in sink under \r\cold water if necessary. Remove bay leaves."
+ " \r\nCut the top and bottoms off of the green peppers and remove the \r\nseeds. Cut peppers into 4 pieces. Stir in "
+ "peppers, oregano, cumin, \r\ngarlic, onion, salt, and slowly bring to a boil uncovered. Once it starts \r\nto boil,"
+ " reduce to a simmer. Add sugar, olive oil, vino seco and let \r\nsimmer for at least 30 minutes. Serve over rice."
+ " \r\n\r\nRice: \r\nPlace rice, salt and water in a saucepan and bring to a boil. (Add one \r\ncup of water to the amount"
+ " of rice you are cooking. i.e. 3 cups of \r\nrice/4 cups of water.) Cover and reduce to a simmer for 20 minutes. "
+ "\r\nAdd vegetable oil and mix with spoon.");
sheet.getCell(3, 8).text("COOK TIME").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(6, 8).text("YIELD").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.resumePaint();
},
}
});
new Vue({
render: h => h(App)
}).$mount('#app');
</script>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="ko-kr" />
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/ko/lib/vue/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);

이 예는 또한 한 셀이 여러 셀 범위에 걸치게 하는 셀 범위(addSpan)의 사용뿐 아니라 셀 내 배경 이미지(background)의 사용을 강조합니다.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
export function AppFunc() {
const initSpread = (spread) => {
var spreadNS = GC.Spread.Sheets;
var sheet = spread.getSheet(0);
// downloaded image files with different name and location from server
var imagePath = ((window.location.hash || "").indexOf("#") === -1) ? "$DEMOROOT$/spread/source/css/images/" : "css-images-";
sheet.suspendPaint();
spread.options.tabStripVisible = false;
sheet.options.rowHeaderVisible = false;
sheet.options.colHeaderVisible = false;
sheet.addSpan(0, 0, 1, 5);
sheet.addSpan(0, 5, 1, 4);
sheet.addSpan(1, 1, 7, 3);
sheet.addSpan(8, 1, 2, 3);
sheet.addSpan(10, 1, 5, 1);
sheet.addSpan(10, 2, 2, 1);
sheet.addSpan(10, 3, 2, 1);
sheet.addSpan(14, 2, 2, 1);
sheet.addSpan(14, 3, 2, 1);
sheet.addSpan(16, 1, 1, 3);
sheet.addSpan(17, 1, 1, 3);
sheet.addSpan(1, 4, 2, 3);
sheet.addSpan(3, 4, 1, 2);
sheet.addSpan(3, 6, 1, 2);
sheet.addSpan(4, 4, 12, 2);
sheet.addSpan(4, 6, 12, 2);
sheet.addSpan(7, 8, 2, 1);
sheet.addSpan(9, 8, 2, 1);
var colWidths = new Array(24, 218, 91, 73, 115, 187, 226, 120, 104);
for (var col = 0; col < colWidths.length; col++) {
sheet.setColumnWidth(col, colWidths[col]);
}
var rowHeights = new Array(108, 35, 31, 44, 35, 31, 44, 22, 13, 9, 25, 25, 50, 50, 30, 20, 22);
for (var row = 0; row < rowHeights.length; row++) {
sheet.setRowHeight(row, rowHeights[row]);
}
sheet.getCell(0, 0).backgroundImage(imagePath + "Titile_TL.png");
sheet.getCell(0, 5).backgroundImage(imagePath + "Titile_TR.png");
sheet.getCell(1, 1).backgroundImage(imagePath + "Food.png");
sheet.getCell(10, 1).backgroundImage(imagePath + "Calories.png").text("187").wordWrap(true).font("28pt Calibri").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(1, 8).backgroundImage(imagePath + "Minutes_top.png").text("45").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(2, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(4, 8).backgroundImage(imagePath + "Minutes_top.png").text("15").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(5, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(7, 8).backgroundImage(imagePath + "Servings_top.png").text("3").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(9, 8).backgroundImage(imagePath + "Servings_bottom.png").text("servings").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.gridline = new spreadNS.LineBorder("Black", spreadNS.LineStyle.empty);
sheet.getRange(0, 0, 17, 9).backColor("rgb(189,194,178)");
sheet.getDefaultStyle().vAlign = spreadNS.VerticalAlign.center;
sheet.getDefaultStyle().foreColor = "rgb(68, 84, 106)";
sheet.getCell(8, 1).text("NUTRITION REPORT CARD (amount per serving)")
.backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center)
.font("9pt Calibri");
sheet.getCell(15, 1).backColor("rgb(247,167,17)");
sheet.getCell(10, 2).text("10").backColor("white");
sheet.getCell(12, 2).text("16").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 2).text("201").backColor("white");
sheet.getCell(14, 2).text("37").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 2, 6, 1).hAlign(spreadNS.HorizontalAlign.center).font("lighter 18pt Calibri");
sheet.getCell(10, 3).text("grams\r\ntotal fat").backColor("white");
sheet.getCell(12, 3).text("milligrams\r\ncholesterol").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 3).text("milligrams\r\nsodium").backColor("white");
sheet.getCell(14, 3).text("grams\r\ncarbs").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 3, 5, 1).font("10pt Calibri").wordWrap(true);
sheet.getCell(1, 4).backColor("white").text("Black Beans and Rice")
.font("bold italic 24pt Calibri")
.vAlign(spreadNS.VerticalAlign.center)
.textIndent(2);
sheet.getCell(1, 7).text("Main Course").backColor("white").foreColor("rgb(33, 115, 70)").font("bold 14pt Calibri");
sheet.getCell(2, 7).backColor("white");
sheet.getCell(3, 4).text("INGREDIENTS");
sheet.getCell(3, 6).text("DIRECTIONS");
sheet.getRange(3, 4, 1, 3).backColor("rgb(247,167,17)").foreColor("white").textIndent(2).font("bold 9pt Calibri");
sheet.getCell(4, 4).backColor("white").textIndent(2).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\n14 oz bag dry black beans, rinsed and picked \r\n2 Bay Leaves\r\n½ cup vino seco (Spanish "
+ "cooking wine) \r\n½ cup olive oil \r\n1 tsp dried oregano \r\n1 tsp cumin \r\n1½ Tbsp \r\narlic powder \r\n1 ½ "
+ "Tbsp onion powder \r\n1 green pepper \r\n2 Tbsp sugar \r\n1 Tbsp salt \r\nRice: \r\n2 cups dry rice, rinsed \r\n"
+ "3 cups water \r\n1 tsp salt \r\n1 Tbsp vegetable oil");
sheet.getCell(4, 6).backColor("white").textIndent(1).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\nPlace black beans in a large pot of water and soak overnight. Drain \r\the nwater and place"
+ " beans in a pressure cooker. Fill the pressure \r\cooker with water an inch above the beans and add 2 bay leaves."
+ " (If \r\you desire beans with thicker consis- tency use less water.) Cover \r\with lid and place on high heat. "
+ "Once it starts boiling, lower heat and \r\simmer for 30 minutes or until beans are soft. Before removing lid, \r\n"
+ "make sure that pressure cooker is depressurized; place in sink under \r\cold water if necessary. Remove bay leaves."
+ " \r\nCut the top and bottoms off of the green peppers and remove the \r\nseeds. Cut peppers into 4 pieces. Stir in "
+ "peppers, oregano, cumin, \r\ngarlic, onion, salt, and slowly bring to a boil uncovered. Once it starts \r\nto boil,"
+ " reduce to a simmer. Add sugar, olive oil, vino seco and let \r\nsimmer for at least 30 minutes. Serve over rice."
+ " \r\n\r\nRice: \r\nPlace rice, salt and water in a saucepan and bring to a boil. (Add one \r\ncup of water to the amount"
+ " of rice you are cooking. i.e. 3 cups of \r\nrice/4 cups of water.) Cover and reduce to a simmer for 20 minutes. "
+ "\r\nAdd vegetable oil and mix with spoon.");
sheet.getCell(3, 8).text("COOK TIME").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(6, 8).text("YIELD").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.resumePaint();
};
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={initSpread}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
}
render() {
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
initSpread(spread) {
var spreadNS = GC.Spread.Sheets;
var sheet = spread.getSheet(0);
// downloaded image files with different name and location from server
var imagePath = ((window.location.hash || "").indexOf("#") === -1) ? "$DEMOROOT$/spread/source/css/images/" : "css-images-";
sheet.suspendPaint();
spread.options.tabStripVisible = false;
sheet.options.rowHeaderVisible = false;
sheet.options.colHeaderVisible = false;
sheet.addSpan(0, 0, 1, 5);
sheet.addSpan(0, 5, 1, 4);
sheet.addSpan(1, 1, 7, 3);
sheet.addSpan(8, 1, 2, 3);
sheet.addSpan(10, 1, 5, 1);
sheet.addSpan(10, 2, 2, 1);
sheet.addSpan(10, 3, 2, 1);
sheet.addSpan(14, 2, 2, 1);
sheet.addSpan(14, 3, 2, 1);
sheet.addSpan(16, 1, 1, 3);
sheet.addSpan(17, 1, 1, 3);
sheet.addSpan(1, 4, 2, 3);
sheet.addSpan(3, 4, 1, 2);
sheet.addSpan(3, 6, 1, 2);
sheet.addSpan(4, 4, 12, 2);
sheet.addSpan(4, 6, 12, 2);
sheet.addSpan(7, 8, 2, 1);
sheet.addSpan(9, 8, 2, 1);
var colWidths = new Array(24, 218, 91, 73, 115, 187, 226, 120, 104);
for (var col = 0; col < colWidths.length; col++) {
sheet.setColumnWidth(col, colWidths[col]);
}
var rowHeights = new Array(108, 35, 31, 44, 35, 31, 44, 22, 13, 9, 25, 25, 50, 50, 30, 20, 22);
for (var row = 0; row < rowHeights.length; row++) {
sheet.setRowHeight(row, rowHeights[row]);
}
sheet.getCell(0, 0).backgroundImage(imagePath + "Titile_TL.png");
sheet.getCell(0, 5).backgroundImage(imagePath + "Titile_TR.png");
sheet.getCell(1, 1).backgroundImage(imagePath + "Food.png");
sheet.getCell(10, 1).backgroundImage(imagePath + "Calories.png").text("187").wordWrap(true).font("28pt Calibri").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(1, 8).backgroundImage(imagePath + "Minutes_top.png").text("45").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(2, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(4, 8).backgroundImage(imagePath + "Minutes_top.png").text("15").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(5, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(7, 8).backgroundImage(imagePath + "Servings_top.png").text("3").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(9, 8).backgroundImage(imagePath + "Servings_bottom.png").text("servings").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.gridline = new spreadNS.LineBorder("Black", spreadNS.LineStyle.empty);
sheet.getRange(0, 0, 17, 9).backColor("rgb(189,194,178)");
sheet.getDefaultStyle().vAlign = spreadNS.VerticalAlign.center;
sheet.getDefaultStyle().foreColor = "rgb(68, 84, 106)";
sheet.getCell(8, 1).text("NUTRITION REPORT CARD (amount per serving)")
.backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center)
.font("9pt Calibri");
sheet.getCell(15, 1).backColor("rgb(247,167,17)");
sheet.getCell(10, 2).text("10").backColor("white");
sheet.getCell(12, 2).text("16").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 2).text("201").backColor("white");
sheet.getCell(14, 2).text("37").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 2, 6, 1).hAlign(spreadNS.HorizontalAlign.center).font("lighter 18pt Calibri");
sheet.getCell(10, 3).text("grams\r\ntotal fat").backColor("white");
sheet.getCell(12, 3).text("milligrams\r\ncholesterol").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 3).text("milligrams\r\nsodium").backColor("white");
sheet.getCell(14, 3).text("grams\r\ncarbs").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 3, 5, 1).font("10pt Calibri").wordWrap(true);
sheet.getCell(1, 4).backColor("white").text("Black Beans and Rice")
.font("bold italic 24pt Calibri")
.vAlign(spreadNS.VerticalAlign.center)
.textIndent(2);
sheet.getCell(1, 7).text("Main Course").backColor("white").foreColor("rgb(33, 115, 70)").font("bold 14pt Calibri");
sheet.getCell(2, 7).backColor("white");
sheet.getCell(3, 4).text("INGREDIENTS");
sheet.getCell(3, 6).text("DIRECTIONS");
sheet.getRange(3, 4, 1, 3).backColor("rgb(247,167,17)").foreColor("white").textIndent(2).font("bold 9pt Calibri");
sheet.getCell(4, 4).backColor("white").textIndent(2).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\n14 oz bag dry black beans, rinsed and picked \r\n2 Bay Leaves\r\n½ cup vino seco (Spanish "
+ "cooking wine) \r\n½ cup olive oil \r\n1 tsp dried oregano \r\n1 tsp cumin \r\n1½ Tbsp \r\narlic powder \r\n1 ½ "
+ "Tbsp onion powder \r\n1 green pepper \r\n2 Tbsp sugar \r\n1 Tbsp salt \r\nRice: \r\n2 cups dry rice, rinsed \r\n"
+ "3 cups water \r\n1 tsp salt \r\n1 Tbsp vegetable oil");
sheet.getCell(4, 6).backColor("white").textIndent(1).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\nPlace black beans in a large pot of water and soak overnight. Drain \r\the nwater and place"
+ " beans in a pressure cooker. Fill the pressure \r\cooker with water an inch above the beans and add 2 bay leaves."
+ " (If \r\you desire beans with thicker consis- tency use less water.) Cover \r\with lid and place on high heat. "
+ "Once it starts boiling, lower heat and \r\simmer for 30 minutes or until beans are soft. Before removing lid, \r\n"
+ "make sure that pressure cooker is depressurized; place in sink under \r\cold water if necessary. Remove bay leaves."
+ " \r\nCut the top and bottoms off of the green peppers and remove the \r\nseeds. Cut peppers into 4 pieces. Stir in "
+ "peppers, oregano, cumin, \r\ngarlic, onion, salt, and slowly bring to a boil uncovered. Once it starts \r\nto boil,"
+ " reduce to a simmer. Add sugar, olive oil, vino seco and let \r\nsimmer for at least 30 minutes. Serve over rice."
+ " \r\n\r\nRice: \r\nPlace rice, salt and water in a saucepan and bring to a boil. (Add one \r\ncup of water to the amount"
+ " of rice you are cooking. i.e. 3 cups of \r\nrice/4 cups of water.) Cover and reduce to a simmer for 20 minutes. "
+ "\r\nAdd vegetable oil and mix with spoon.");
sheet.getCell(3, 8).text("COOK TIME").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(6, 8).text("YIELD").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="ko-kr" />
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/ko/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

이 예는 또한 한 셀이 여러 셀 범위에 걸치게 하는 셀 범위(addSpan)의 사용뿐 아니라 셀 내 배경 이미지(background)의 사용을 강조합니다.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
let spreadNS = GC.Spread.Sheets;
let spread = $event.spread;
let sheet = spread.getSheet(0);
// downloaded image files with different name and location from server
let imagePath = ((window.location.hash || "").indexOf("#") === -1) ? "$DEMOROOT$/spread/source/css/images/" : "css-images-";
sheet.suspendPaint();
spread.options.tabStripVisible = false;
sheet.options.rowHeaderVisible = false;
sheet.options.colHeaderVisible = false;
sheet.addSpan(0, 0, 1, 5);
sheet.addSpan(0, 5, 1, 4);
sheet.addSpan(1, 1, 7, 3);
sheet.addSpan(8, 1, 2, 3);
sheet.addSpan(10, 1, 5, 1);
sheet.addSpan(10, 2, 2, 1);
sheet.addSpan(10, 3, 2, 1);
sheet.addSpan(14, 2, 2, 1);
sheet.addSpan(14, 3, 2, 1);
sheet.addSpan(16, 1, 1, 3);
sheet.addSpan(17, 1, 1, 3);
sheet.addSpan(1, 4, 2, 3);
sheet.addSpan(3, 4, 1, 2);
sheet.addSpan(3, 6, 1, 2);
sheet.addSpan(4, 4, 12, 2);
sheet.addSpan(4, 6, 12, 2);
sheet.addSpan(7, 8, 2, 1);
sheet.addSpan(9, 8, 2, 1);
var colWidths = new Array(24, 218, 91, 73, 115, 187, 226, 120, 104);
for (var col = 0; col < colWidths.length; col++) {
sheet.setColumnWidth(col, colWidths[col]);
}
var rowHeights = new Array(108, 35, 31, 44, 35, 31, 44, 22, 13, 9, 25, 25, 50, 50, 30, 20, 22);
for (var row = 0; row < rowHeights.length; row++) {
sheet.setRowHeight(row, rowHeights[row]);
}
sheet.getCell(0, 0).backgroundImage(imagePath + "Titile_TL.png");
sheet.getCell(0, 5).backgroundImage(imagePath + "Titile_TR.png");
sheet.getCell(1, 1).backgroundImage(imagePath + "Food.png");
sheet.getCell(10, 1).backgroundImage(imagePath + "Calories.png").text("187").wordWrap(true).font("28pt Calibri").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(1, 8).backgroundImage(imagePath + "Minutes_top.png").text("45").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(2, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(4, 8).backgroundImage(imagePath + "Minutes_top.png").text("15").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(5, 8).backgroundImage(imagePath + "Minutes_bottom.png").text("minutes").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.getCell(7, 8).backgroundImage(imagePath + "Servings_top.png").text("3").font("14pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.bottom);
sheet.getCell(9, 8).backgroundImage(imagePath + "Servings_bottom.png").text("servings").font("8pt Calibri").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.top);
sheet.gridline = new spreadNS.LineBorder("Black", spreadNS.LineStyle.empty);
sheet.getRange(0, 0, 17, 9).backColor("rgb(189,194,178)");
sheet.getDefaultStyle().vAlign = spreadNS.VerticalAlign.center;
sheet.getDefaultStyle().foreColor = "rgb(68, 84, 106)";
sheet.getCell(8, 1).text("NUTRITION REPORT CARD (amount per serving)")
.backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center)
.font("9pt Calibri");
sheet.getCell(15, 1).backColor("rgb(247,167,17)");
sheet.getCell(10, 2).text("10").backColor("white");
sheet.getCell(12, 2).text("16").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 2).text("201").backColor("white");
sheet.getCell(14, 2).text("37").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 2, 6, 1).hAlign(spreadNS.HorizontalAlign.center).font("lighter 18pt Calibri");
sheet.getCell(10, 3).text("grams\r\ntotal fat").backColor("white");
sheet.getCell(12, 3).text("milligrams\r\ncholesterol").backColor("rgb(235, 238, 241)");
sheet.getCell(13, 3).text("milligrams\r\nsodium").backColor("white");
sheet.getCell(14, 3).text("grams\r\ncarbs").backColor("rgb(235, 238, 241)");
sheet.getRange(10, 3, 5, 1).font("10pt Calibri").wordWrap(true);
sheet.getCell(1, 4).backColor("white").text("Black Beans and Rice")
.font("bold italic 24pt Calibri")
.vAlign(spreadNS.VerticalAlign.center)
.textIndent(2);
sheet.getCell(1, 7).text("Main Course").backColor("white").foreColor("rgb(33, 115, 70)").font("bold 14pt Calibri");
sheet.getCell(2, 7).backColor("white");
sheet.getCell(3, 4).text("INGREDIENTS");
sheet.getCell(3, 6).text("DIRECTIONS");
sheet.getRange(3, 4, 1, 3).backColor("rgb(247,167,17)").foreColor("white").textIndent(2).font("bold 9pt Calibri");
sheet.getCell(4, 4).backColor("white").textIndent(2).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\n14 oz bag dry black beans, rinsed and picked \r\n2 Bay Leaves\r\n½ cup vino seco (Spanish "
+ "cooking wine) \r\n½ cup olive oil \r\n1 tsp dried oregano \r\n1 tsp cumin \r\n1½ Tbsp \r\narlic powder \r\n1 ½ "
+ "Tbsp onion powder \r\n1 green pepper \r\n2 Tbsp sugar \r\n1 Tbsp salt \r\nRice: \r\n2 cups dry rice, rinsed \r\n"
+ "3 cups water \r\n1 tsp salt \r\n1 Tbsp vegetable oil");
sheet.getCell(4, 6).backColor("white").textIndent(1).font("lighter 9pt Calibri")
.wordWrap(true).vAlign(spreadNS.VerticalAlign.top)
.text("\r\nBlack Beans: \r\nPlace black beans in a large pot of water and soak overnight. Drain \r\the nwater and place"
+ " beans in a pressure cooker. Fill the pressure \r\cooker with water an inch above the beans and add 2 bay leaves."
+ " (If \r\you desire beans with thicker consis- tency use less water.) Cover \r\with lid and place on high heat. "
+ "Once it starts boiling, lower heat and \r\simmer for 30 minutes or until beans are soft. Before removing lid, \r\n"
+ "make sure that pressure cooker is depressurized; place in sink under \r\cold water if necessary. Remove bay leaves."
+ " \r\nCut the top and bottoms off of the green peppers and remove the \r\nseeds. Cut peppers into 4 pieces. Stir in "
+ "peppers, oregano, cumin, \r\ngarlic, onion, salt, and slowly bring to a boil uncovered. Once it starts \r\nto boil,"
+ " reduce to a simmer. Add sugar, olive oil, vino seco and let \r\nsimmer for at least 30 minutes. Serve over rice."
+ " \r\n\r\nRice: \r\nPlace rice, salt and water in a saucepan and bring to a boil. (Add one \r\ncup of water to the amount"
+ " of rice you are cooking. i.e. 3 cups of \r\nrice/4 cups of water.) Cover and reduce to a simmer for 20 minutes. "
+ "\r\nAdd vegetable oil and mix with spoon.");
sheet.getCell(3, 8).text("COOK TIME").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.getCell(6, 8).text("YIELD").backColor("rgb(116,135,116)").foreColor("white").hAlign(spreadNS.HorizontalAlign.center);
sheet.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="ko-kr" />
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/ko/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/ko/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/ko/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);